=== debian/changelog ===
tcplay (0.10-7.drbl1) unstable; urgency=low

  * Initial packaging for tcplay 0.10-7.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 27 Oct 2012 18:31:59 +0800
