=== debian/control ===
Source: tcplay
Maintainer: Steven Shiau <steven@nchc.org.tw>
Section: misc
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), libdevmapper-dev, libgcrypt11-dev, uuid-dev, libssl-dev (>=1.0.1c-4)
Homepage: https://github.com/bwalex/tc-play

Package: tcplay
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: create and open/map TrueCrypt-compatible volumes
 Tcplay is a free (BSD-licensed), pretty much fully featured
 (including multiple keyfiles, cipher cascades, etc) and stable 
 TrueCrypt implementation.
 This implementation supports mapping (opening) both system and
 normal TrueCrypt volumes, as well as opening hidden volumes and
 opening an outer volume while protecting a hidden volume. There is
 also support to create volumes, including hidden volumes, etc.
