## tcplay 0.11

=== debian/changelog ===
tcplay (0.11-1) unstable; urgency=low

  * New upstream release, fixing 64 bit archs compilation.
  * Build with hardening enabled, add use_ldflags.patch to achieve this.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 17 Nov 2012 02:53:22 +0100

tcplay (0.10-1) unstable; urgency=low

  * Initial release (closes: #691609).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 29 Oct 2012 18:47:56 +0100
