=== debian/control ===
Source: tcplay
Section: admin
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libdevmapper-dev, uuid-dev, libgcrypt11-dev
Standards-Version: 3.9.3
Homepage: https://github.com/bwalex/tc-play

Package: tcplay
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Free and simple TrueCrypt Implementation based on dm-crypt
 tcplay is a free (BSD-licensed), pretty much fully featured (including
 multiple keyfiles, cipher cascades, etc) and stable TrueCrypt implementation.
 .
 This implementation supports mapping (opening) both system and normal
 TrueCrypt volumes, as well as opening hidden volumes and opening an outer
 volume while protecting a hidden volume. There is also support to create
 volumes, including hidden volumes, etc.
 .
 Since tcplay uses dm-crypt it makes full use of any available hardware
 encryption/decryption support once the volume has been mapped.
