=== test/Makefile ===
test:
	sudo bundle exec cucumber

bootstrap:
	bundle install
