=== debian/changelog ===
tcplay (1.1-6) unstable; urgency=medium

  * Update Standards-Version to 4.2.1 .

  [ Alon Bar-Lev <alon.barlev@gmail.com> ]
  * Include sys/sysmacros.h for recent glibc (closes: #915998).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 10 Dec 2018 14:17:16 +0000

tcplay (1.1-5) unstable; urgency=medium

  * Fix packages long description (closes: #766580).
  * Update packaging bits.
  * Update Standards-Version to 4.1.3 .
  * Update debhelper level to 11 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Fix build/host confusion (closes: #895296).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 09 Apr 2018 23:09:01 +0000

tcplay (1.1-4) unstable; urgency=medium

  * Use the real LGPL Crypto library (closes: #864138).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Jun 2017 12:44:11 +0000

tcplay (1.1-3) unstable; urgency=low

  * Compile with -fPIC for dynamic linking (closes: #796298).
  * Update copyright file.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 07 Sep 2016 15:04:06 +0000

tcplay (1.1-2) unstable; urgency=high

  * Backport upstream fix to prevent data loss on 4k sector drives
    (closes: #771719).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 01 Dec 2014 21:40:29 +0000

tcplay (1.1-1) unstable; urgency=low

  * New upstream release (closes: #719836).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Sep 2013 11:36:00 +0200
