=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tcplay
 Section: admin
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libdevmapper-dev, uuid-dev, libgcrypt11-dev
-Standards-Version: 3.9.3
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 11), cmake, pkg-config, libdevmapper-dev, libudev-dev, uuid-dev, libgcrypt20-dev
+Standards-Version: 4.2.1
 Homepage: https://github.com/bwalex/tc-play
 
 Package: tcplay
@@ -20,3 +20,35 @@
  .
  Since tcplay uses dm-crypt it makes full use of any available hardware
  encryption/decryption support once the volume has been mapped.
+
+Package: libtcplay
+Architecture: linux-any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Free and simple TrueCrypt Implementation based on dm-crypt
+ tcplay is a free (BSD-licensed), pretty much fully featured (including
+ multiple keyfiles, cipher cascades, etc) and stable TrueCrypt implementation.
+ .
+ This implementation supports mapping (opening) both system and normal
+ TrueCrypt volumes, as well as opening hidden volumes and opening an outer
+ volume while protecting a hidden volume. There is also support to create
+ volumes, including hidden volumes, etc.
+ .
+ Since tcplay uses dm-crypt it makes full use of any available hardware
+ encryption/decryption support once the volume has been mapped.
+
+Package: libtcplay-dev
+Architecture: linux-any
+Section: libdevel
+Depends: ${misc:Depends}, libtcplay (= ${binary:Version})
+Description: Free and simple TrueCrypt Implementation based on dm-crypt
+ tcplay is a free (BSD-licensed), pretty much fully featured (including
+ multiple keyfiles, cipher cascades, etc) and stable TrueCrypt implementation.
+ .
+ This implementation supports mapping (opening) both system and normal
+ TrueCrypt volumes, as well as opening hidden volumes and opening an outer
+ volume while protecting a hidden volume. There is also support to create
+ volumes, including hidden volumes, etc.
+ .
+ Since tcplay uses dm-crypt it makes full use of any available hardware
+ encryption/decryption support once the volume has been mapped.
