=== debian/rules ===
--- 
+++ 
@@ -15,25 +15,19 @@
 CPPFLAGS	+= $(HARDENING_CFLAGS)
 LDFLAGS		+= $(HARDENING_LDFLAGS)
 
-DESTDIR = $(CURDIR)/debian/tcplay
+DESTDIR = $(CURDIR)/debian/tmp/
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	DEBUG = DEBUG=yes
 endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
-endif
-
-# configure doesn't exists and it doesn't needed
-override_dh_autoreconf:
 
 override_dh_auto_build:
-	make SYSTEM=linux PBKDF_BACKEND=gcrypt $(DEBUG)
-#	make SYSTEM=linux PBKDF_BACKEND=gcrypt $(DEBUG) lib
+	dh_auto_build -- SYSTEM=linux PBKDF_BACKEND=gcrypt $(DEBUG)
 
 # test needs the library, which can't be built ATM
 override_dh_auto_test:
 
-# for the rest, use debhelper
 %:
 	dh $@
+
+.PHONY: override_dh_auto_build override_dh_auto_test
