## tcplay 3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required (VERSION 2.6)
 
 project (tcplay)
-set (VERSION_MAJOR 1)
-set (VERSION_MINOR 1)
+set (VERSION_MAJOR 3)
+set (VERSION_MINOR 3)
 
 find_package (PkgConfig)
 include (CheckLibraryExists)
@@ -15,7 +15,7 @@
 set (CFLAGS_DEBUG  "-O0 -g3 -DDEBUG")
 set (CFLAGS_OPT    "-O3")
 set (CFLAGS_VER    "-DMAJ_VER=${VERSION_MAJOR} -DMIN_VER=${VERSION_MINOR}")
-set (CFLAGS_COMMON "-std=c99 -fPIE ${CFLAGS_LINUX} ${CFLAGS_WARN} ${CFLAGS_VER}")
+set (CFLAGS_COMMON "-std=c99 ${CFLAGS_LINUX} ${CFLAGS_WARN} ${CFLAGS_VER}")
 if ($ENV{DEBUG})
 	set (CFLAGS_COMMON "${CFLAGS_COMMON} ${CFLAGS_DEBUG}")
 else()
@@ -63,7 +63,7 @@
 endif()
 
 
-if (NOT LIB_SUFFIX)
+if (NOT (DEFINED LIB_SUFFIX))
 	message(STATUS "")
 	message(STATUS "LIB_SUFFIX variable is not defined. It will be autodetected now.")
 	message(STATUS "You can set it manually with -DLIB_SUFFIX=<value> (e.g. 64).")
@@ -76,6 +76,9 @@
 	endif()
 endif()
 
+if (NOT (DEFINED SBIN_DIR))
+  set (SBIN_DIR "sbin")
+endif()
 
 
 add_executable(tcplay-bin main.c ${SRCS_COMMON} ${SRCS_LINUX} ${SRCS_PBKDF})
@@ -117,7 +120,7 @@
 
 # Installation targets
 install(TARGETS tcplay-bin tcplay-static tcplay-so
-	RUNTIME DESTINATION sbin             COMPONENT bin
+	RUNTIME DESTINATION ${SBIN_DIR}      COMPONENT bin
 	LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT lib
 	ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT lib-dev
 )
