=== debian/changelog ===
tcplay (3.3-2) unstable; urgency=medium

  * Set minimal CMake version to 3.25 (closes: #1113562).
  * Remove now redundant Rules-Requires-Root value.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Sep 2025 16:36:02 +0200

tcplay (3.3-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor <dkg@fifthhorseman.net> ]
  * Cleaning up packaging, track with revision control on Salsa
  * New upstream release, includes VeraCrypt support (closes: #979617)
  * Track debian packaging on salsa
  * wrap-and-sort -ast
  * d/watch: modernize, use mode=git
  * move to debhelper 13
  * Rules-Requires-Root: no
  * Build-Depend on pkgconf instead of pkg-config
  * Ship all manpages
  * debian/rules: simplify
  * d/patches: refresh, drop those already upstream,
               clear out cruft, use gbp-pq formatting
  * clean up manpages, forwarding upstream
  * Update and differentiate package descriptions
  * Standards-Version: bump to 4.7.0 (no changes needed)

  [ Laszlo Boszormenyi (GCS) ]
  * Multiarchify the library package.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 25 Apr 2024 18:51:43 +0200
