=== debian/control ===
--- 
+++ 
@@ -2,14 +2,25 @@
 Section: admin
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), cmake, pkg-config, libdevmapper-dev, libudev-dev, uuid-dev, libgcrypt20-dev
-Standards-Version: 4.2.1
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libdevmapper-dev,
+ libgcrypt20-dev,
+ libudev-dev,
+ pkgconf,
+ uuid-dev,
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/debian/tcplay.git
+Vcs-Browser: https://salsa.debian.org/debian/tcplay
 Homepage: https://github.com/bwalex/tc-play
 
 Package: tcplay
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Free and simple TrueCrypt Implementation based on dm-crypt
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: TrueCrypt and VeraCrypt implementation based on dm-crypt
  tcplay is a free (BSD-licensed), pretty much fully featured (including
  multiple keyfiles, cipher cascades, etc) and stable TrueCrypt implementation.
  .
@@ -20,12 +31,18 @@
  .
  Since tcplay uses dm-crypt it makes full use of any available hardware
  encryption/decryption support once the volume has been mapped.
+ .
+ This package contains the tcplay executable, which can create, query,
+ map, and manage TrueCrypt and VeraCrypt volumes.
 
 Package: libtcplay
 Architecture: linux-any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Free and simple TrueCrypt Implementation based on dm-crypt
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: TrueCrypt and VeraCrypt implementation based on dm-crypt (library)
  tcplay is a free (BSD-licensed), pretty much fully featured (including
  multiple keyfiles, cipher cascades, etc) and stable TrueCrypt implementation.
  .
@@ -36,12 +53,18 @@
  .
  Since tcplay uses dm-crypt it makes full use of any available hardware
  encryption/decryption support once the volume has been mapped.
+ .
+ This package contains a library that can create, query, map and
+ manage TrueCrypt and VeraCrypt volumes.
 
 Package: libtcplay-dev
 Architecture: linux-any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libtcplay (= ${binary:Version})
-Description: Free and simple TrueCrypt Implementation based on dm-crypt
+Depends:
+ libtcplay (= ${binary:Version}),
+ ${misc:Depends},
+Description: TrueCrypt and VeraCrypt implementation based on dm-crypt (development headers)
  tcplay is a free (BSD-licensed), pretty much fully featured (including
  multiple keyfiles, cipher cascades, etc) and stable TrueCrypt implementation.
  .
@@ -52,3 +75,7 @@
  .
  Since tcplay uses dm-crypt it makes full use of any available hardware
  encryption/decryption support once the volume has been mapped.
+ .
+ This package contains developer information to build tools that use
+ the libtcplay library to create, query, map and manage TrueCrypt and
+ VeraCrypt volumes.
