=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUG = DEBUG=yes
endif

override_dh_auto_build:
	dh_auto_build -- SYSTEM=linux PBKDF_BACKEND=gcrypt $(DEBUG)

%:
	dh $@

.PHONY: override_dh_auto_build
