=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/bwalex/tc-play refs/tags/v@ANY_VERSION@
